Debian Bug report logs - #594149
linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Doug Currie <deb.9.eeeeeee@xoxy.net>

Date: Tue, 24 Aug 2010 03:24:01 UTC

Severity: normal

Tags: upstream

Found in version 2.6.32-20

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=17081

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, deb.9.eeeeeee@xoxy.net, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Tue, 24 Aug 2010 03:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Doug Currie <deb.9.eeeeeee@xoxy.net>:
New Bug report received and forwarded. Copy sent to deb.9.eeeeeee@xoxy.net, Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 Aug 2010 03:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Doug Currie <deb.9.eeeeeee@xoxy.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Mon, 23 Aug 2010 23:21:31 -0400
Package: linux-2.6
Version: 2.6.32-20
Severity: normal


Samsung N150-11 netbook. Each lid close&open toggles the lid switch state 
so when the lid is open, half the time it reports closed:

e@eSammy:~$ cat /proc/acpi/button/lid/LID0/state
state:      open

# close & open lid

e@eSammy:~$ cat /proc/acpi/button/lid/LID0/state
state:      closed

So, the netbook only suspends every other time the lid is closed.
This could be dangerous with the netbook stowed in running mode
getting hot.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-20) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Thu Aug 12 13:01:50 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=3cb206a7-b396-4c4f-b462-cd89b27eb3c4 ro quiet

** Not tainted

** Kernel log:
[ 1050.208993] pcieport 0000:00:1c.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100407)
[ 1050.209058] pcieport 0000:00:1c.1: restoring config space at offset 0xf (was 0x200, writing 0x204)
[ 1050.209078] pcieport 0000:00:1c.1: restoring config space at offset 0x9 (was 0x10001, writing 0x40514041)
[ 1050.209089] pcieport 0000:00:1c.1: restoring config space at offset 0x8 (was 0x0, writing 0x40304020)
[ 1050.209100] pcieport 0000:00:1c.1: restoring config space at offset 0x7 (was 0x20000000, writing 0x4040)
[ 1050.209117] pcieport 0000:00:1c.1: restoring config space at offset 0x3 (was 0x810000, writing 0x810008)
[ 1050.209129] pcieport 0000:00:1c.1: restoring config space at offset 0x1 (was 0x100000, writing 0x100407)
[ 1050.209189] pcieport 0000:00:1c.2: restoring config space at offset 0xf (was 0x40300, writing 0x40303)
[ 1050.209208] pcieport 0000:00:1c.2: restoring config space at offset 0x9 (was 0x10001, writing 0x40714061)
[ 1050.209220] pcieport 0000:00:1c.2: restoring config space at offset 0x8 (was 0x0, writing 0xf020f020)
[ 1050.209231] pcieport 0000:00:1c.2: restoring config space at offset 0x7 (was 0x20000000, writing 0x2020)
[ 1050.209247] pcieport 0000:00:1c.2: restoring config space at offset 0x3 (was 0x810000, writing 0x810008)
[ 1050.209260] pcieport 0000:00:1c.2: restoring config space at offset 0x1 (was 0x100000, writing 0x100407)
[ 1050.209319] pcieport 0000:00:1c.3: restoring config space at offset 0xf (was 0x400, writing 0x40a)
[ 1050.209339] pcieport 0000:00:1c.3: restoring config space at offset 0x9 (was 0x10001, writing 0x40b140a1)
[ 1050.209350] pcieport 0000:00:1c.3: restoring config space at offset 0x8 (was 0x0, writing 0x40904080)
[ 1050.209361] pcieport 0000:00:1c.3: restoring config space at offset 0x7 (was 0x20000000, writing 0x5050)
[ 1050.209377] pcieport 0000:00:1c.3: restoring config space at offset 0x3 (was 0x810000, writing 0x810008)
[ 1050.209390] pcieport 0000:00:1c.3: restoring config space at offset 0x1 (was 0x100000, writing 0x100407)
[ 1050.209462] uhci_hcd 0000:00:1d.0: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
[ 1050.209506] uhci_hcd 0000:00:1d.1: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
[ 1050.209549] uhci_hcd 0000:00:1d.2: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
[ 1050.209591] uhci_hcd 0000:00:1d.3: restoring config space at offset 0x1 (was 0x2800005, writing 0x2800001)
[ 1050.209643] ehci_hcd 0000:00:1d.7: restoring config space at offset 0x1 (was 0x2900106, writing 0x2900102)
[ 1050.209686] pci 0000:00:1e.0: restoring config space at offset 0x9 (was 0x10001, writing 0x1fff1)
[ 1050.209697] pci 0000:00:1e.0: restoring config space at offset 0x8 (was 0x0, writing 0xfff0)
[ 1050.209783] ahci 0000:00:1f.2: restoring config space at offset 0xf (was 0x200, writing 0x20a)
[ 1050.209815] ahci 0000:00:1f.2: restoring config space at offset 0x1 (was 0x2b00007, writing 0x2b00407)
[ 1050.209924] ath9k 0000:05:00.0: restoring config space at offset 0xf (was 0x1ff, writing 0x10b)
[ 1050.209959] ath9k 0000:05:00.0: restoring config space at offset 0x4 (was 0x4, writing 0xf0100004)
[ 1050.209971] ath9k 0000:05:00.0: restoring config space at offset 0x3 (was 0x0, writing 0x8)
[ 1050.209985] ath9k 0000:05:00.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100107)
[ 1050.210270] sky2 0000:09:00.0: restoring config space at offset 0xf (was 0x100, writing 0x103)
[ 1050.210406] sky2 0000:09:00.0: restoring config space at offset 0x6 (was 0x1, writing 0x2001)
[ 1050.210459] sky2 0000:09:00.0: restoring config space at offset 0x4 (was 0x4, writing 0xf0200004)
[ 1050.210488] sky2 0000:09:00.0: restoring config space at offset 0x3 (was 0x0, writing 0x8)
[ 1050.210541] sky2 0000:09:00.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100507)
[ 1050.222997] i915 0000:00:02.0: setting latency timer to 64
[ 1050.223545] [drm] Big FIFO is enabled
[ 1050.292089] [drm] Big FIFO is enabled
[ 1050.292109] [drm] Big FIFO is enabled
[ 1050.292280] [drm] Big FIFO is enabled
[ 1050.316212] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 1050.316222] HDA Intel 0000:00:1b.0: setting latency timer to 64
[ 1050.414284] uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[ 1050.414295] uhci_hcd 0000:00:1d.0: setting latency timer to 64
[ 1050.414328] usb usb2: root hub lost power or was reset
[ 1050.414360] uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 19 (level, low) -> IRQ 19
[ 1050.414374] uhci_hcd 0000:00:1d.1: setting latency timer to 64
[ 1050.414409] usb usb3: root hub lost power or was reset
[ 1050.414442] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[ 1050.414457] uhci_hcd 0000:00:1d.2: setting latency timer to 64
[ 1050.414491] usb usb4: root hub lost power or was reset
[ 1050.414524] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 16 (level, low) -> IRQ 16
[ 1050.414537] uhci_hcd 0000:00:1d.3: setting latency timer to 64
[ 1050.414564] usb usb5: root hub lost power or was reset
[ 1050.414596] ehci_hcd 0000:00:1d.7: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[ 1050.414608] ehci_hcd 0000:00:1d.7: setting latency timer to 64
[ 1050.414664] pci 0000:00:1e.0: setting latency timer to 64
[ 1050.414687] ahci 0000:00:1f.2: setting latency timer to 64
[ 1050.414913] ath9k 0000:05:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 1050.548069] sd 0:0:0:0: [sda] Starting disk
[ 1050.732075] ata4: SATA link down (SStatus 0 SControl 300)
[ 1050.732107] ata3: SATA link down (SStatus 0 SControl 300)
[ 1050.732142] ata2: SATA link down (SStatus 0 SControl 300)
[ 1052.188069] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[ 1052.207396] ata1.00: configured for UDMA/133
[ 1052.340057] usb 1-8: reset high speed USB device using ehci_hcd and address 2
[ 1052.486313] PM: Finishing wakeup.
[ 1052.486318] Restarting tasks ... done.
[ 1052.817687] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1052.826920] sky2 eth0: enabling interface
[ 1052.827869] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 1058.715555] atkbd.c: Spurious NAK on isa0060/serio0. Some program might be trying access hardware directly.
[ 1059.387947] CPU0 attaching NULL sched-domain.
[ 1059.387964] CPU1 attaching NULL sched-domain.
[ 1059.420205] CPU0 attaching sched-domain:
[ 1059.420217]  domain 0: span 0-1 level SIBLING
[ 1059.420227]   groups: 0 (cpu_power = 589) 1 (cpu_power = 589)
[ 1059.420249]   domain 1: span 0-1 level MC
[ 1059.420257]    groups: 0-1 (cpu_power = 1178)
[ 1059.420277] CPU1 attaching sched-domain:
[ 1059.420285]  domain 0: span 0-1 level SIBLING
[ 1059.420293]   groups: 1 (cpu_power = 589) 0 (cpu_power = 589)
[ 1059.420313]   domain 1: span 0-1 level MC
[ 1059.420321]    groups: 0-1 (cpu_power = 1178)
[ 1059.794280] CPUFREQ: Per core ondemand sysfs interface is deprecated - up_threshold
[ 1060.792406] wlan0: direct probe to AP 00:13:10:6a:0e:bb (try 1)
[ 1060.795190] wlan0: direct probe responded
[ 1060.795200] wlan0: authenticate with AP 00:13:10:6a:0e:bb (try 1)
[ 1060.799217] wlan0: authenticated
[ 1060.799276] wlan0: associate with AP 00:13:10:6a:0e:bb (try 1)
[ 1060.801980] wlan0: RX AssocResp from 00:13:10:6a:0e:bb (capab=0x431 status=0 aid=5)
[ 1060.801991] wlan0: associated
[ 1060.802608] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 1070.860039] wlan0: no IPv6 routers present
[ 4301.869590] [drm] Big FIFO is enabled
[ 4301.940079] [drm] Big FIFO is enabled
[ 4301.940103] [drm] Big FIFO is enabled
[ 4302.273843] [drm] Big FIFO is enabled

** Model information
sys_vendor: SAMSUNG ELECTRONICS CO., LTD.
product_name: N150P/N210P/N220P          
product_version: Not Applicable
chassis_vendor: SAMSUNG ELECTRONICS CO., LTD.
chassis_version: N/A         
bios_vendor: Phoenix Technologies Ltd.
bios_version: 01KY.M008.20100430.RHU
board_vendor: SAMSUNG ELECTRONICS CO., LTD.
board_name: N150P/N210P/N220P          
board_version: Not Applicable

** Loaded modules:
Module                  Size  Used by
easy_slow_down_manager     3953  0 
sco                     7209  2 
bridge                 39598  0 
stp                     1440  1 bridge
bnep                    9427  2 
rfcomm                 29581  0 
l2cap                  24736  6 bnep,rfcomm
crc16                   1319  1 l2cap
bluetooth              41827  6 sco,bnep,rfcomm,l2cap
acpi_cpufreq            5555  0 
cpufreq_userspace       1992  0 
cpufreq_stats           2659  0 
cpufreq_powersave        902  0 
cpufreq_conservative     5162  0 
fuse                   50190  1 
loop                   11783  0 
snd_hda_codec_realtek   235522  1 
snd_hda_intel          19987  3 
snd_hda_codec          54244  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               5380  1 snd_hda_codec
snd_pcm_oss            32591  0 
snd_mixer_oss          12606  2 snd_pcm_oss
arc4                    1274  2 
snd_pcm                60471  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
ecb                     1841  2 
snd_seq_midi            4400  0 
snd_rawmidi            15515  1 snd_seq_midi
snd_seq_midi_event      4628  1 snd_seq_midi
uvcvideo               51887  0 
snd_seq                42881  2 snd_seq_midi,snd_seq_midi_event
videodev               29993  1 uvcvideo
ath9k                 249912  0 
v4l1_compat            11442  2 uvcvideo,videodev
snd_timer              15582  2 snd_pcm,snd_seq
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
mac80211              136956  1 ath9k
v4l2_compat_ioctl32     8538  1 videodev
snd                    46446  15 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
ath                     8006  1 ath9k
i915                  254567  2 
soundcore               4598  2 snd
drm_kms_helper         20065  1 i915
snd_page_alloc          6249  2 snd_hda_intel,snd_pcm
drm                   142551  3 i915,drm_kms_helper
cfg80211              101464  3 ath9k,mac80211,ath
i2c_i801                7830  0 
i2c_algo_bit            4225  1 i915
i2c_core               15712  6 videodev,i915,drm_kms_helper,drm,i2c_i801,i2c_algo_bit
serio_raw               3752  0 
video                  17445  1 i915
rfkill                 13044  3 bluetooth,cfg80211
samsung_backlight       2740  0 
pcspkr                  1699  0 
evdev                   7352  13 
output                  1692  1 video
psmouse                49777  0 
led_class               2433  1 ath9k
button                  4650  1 i915
battery                 4998  0 
ac                      2192  0 
processor              30247  3 acpi_cpufreq
ext3                  106518  1 
jbd                    37085  1 ext3
mbcache                 5050  1 ext3
sd_mod                 29777  3 
crc_t10dif              1276  1 sd_mod
ahci                   32358  2 
uhci_hcd               18521  0 
libata                133584  1 ahci
thermal                11674  0 
sky2                   39278  0 
ehci_hcd               31135  0 
scsi_mod              122117  2 sd_mod,libata
usbcore               121943  4 uvcvideo,uhci_hcd,ehci_hcd
thermal_sys            11942  3 video,processor,thermal
nls_base                6361  1 usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN qlen 1000
    link/ether 00:24:54:a1:66:b5 brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 78:e4:00:50:26:9e brd ff:ff:ff:ff:ff:ff
    inet 192.168.0.108/24 brd 192.168.0.255 scope global wlan0
    inet6 fe80::7ae4:ff:fe50:269e/64 scope link 
       valid_lft forever preferred_lft forever
4: pan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN 
    link/ether 9a:ec:24:ff:7c:a2 brd ff:ff:ff:ff:ff:ff

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   89392    1088    0    0    0     0          0         0    89392    1088    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
 wlan0:  816593    2354    0    0    0     0          0         0   157688     987    0    0    0     0       0          0
  pan0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    3741 total packets received
    4 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    2732 incoming packets delivered
    1898 requests sent out
    5 dropped because of missing route
Icmp:
    544 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 544
    544 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 544
IcmpMsg:
        InType3: 544
        OutType3: 544
Tcp:
    17 active connections openings
    0 passive connection openings
    0 failed connection attempts
    2 connection resets received
    1 connections established
    456 segments received
    328 segments send out
    12 segments retransmited
    0 bad segments received.
    10 resets sent
Udp:
    770 packets received
    544 packets to unknown port received.
    0 packet receive errors
    1007 packets sent
UdpLite:
TcpExt:
    1 TCP sockets finished time wait in fast timer
    10 delayed acks sent
    Quick ack mode was activated 8 times
    166 packet headers predicted
    111 acknowledgments not containing data payload received
    6 predicted acknowledgments
    2 congestion windows recovered without slow start after partial ack
    5 other TCP timeouts
    8 DSACKs sent for old packets
    2 connections reset due to early user close
    1 connections aborted due to timeout
    1 times unabled to send RST due to no memory
IpExt:
    InMcastPkts: 56
    OutMcastPkts: 48
    InBcastPkts: 1095
    OutBcastPkts: 386
    InOctets: 927587
    OutOctets: 198424
    InMcastOctets: 12742
    OutMcastOctets: 10654
    InBcastOctets: 135942
    OutBcastOctets: 51724

*** Device features:
eth0: 0x10823
lo: 0x13865
pan0: 0xff3865
wlan0: 0x2000

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation N10 Family DMI Bridge [8086:a010]
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation N10 Family Integrated Graphics Controller [8086:a011] (prog-if 00 [VGA controller])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at f0300000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 18d0 [size=8]
	Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at f0000000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation N10 Family Integrated Graphics Controller [8086:a012]
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f0380000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at f0400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f0100000-f01fffff
	Prefetchable memory behind bridge: 0000000040000000-00000000401fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 2 [8086:27d2] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: 40200000-403fffff
	Prefetchable memory behind bridge: 0000000040400000-00000000405fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 3 [8086:27d4] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=09, subordinate=09, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0200000-f02fffff
	Prefetchable memory behind bridge: 0000000040600000-00000000407fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 4 [8086:27d6] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: 40800000-409fffff
	Prefetchable memory behind bridge: 0000000040a00000-0000000040bfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f0604000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=11, subordinate=11, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation NM10 Family LPC Controller [8086:27bc] (rev 02)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation N10/ICH7 Family SATA AHCI Controller [8086:27c1] (rev 02) (prog-if 01 [AHCI 1.0])
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 29
	Region 0: I/O ports at 18e8 [size=8]
	Region 1: I/O ports at 18dc [size=4]
	Region 2: I/O ports at 18e0 [size=8]
	Region 3: I/O ports at 18d8 [size=4]
	Region 4: I/O ports at 18c0 [size=16]
	Region 5: Memory at f0604400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation N10/ICH 7 Family SMBus Controller [8086:27da] (rev 02)
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 18a0 [size=32]
	Kernel driver in use: i801_smbus

05:00.0 Network controller [0280]: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
	Subsystem: Foxconn International, Inc. Device [105b:e025]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0100000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k

09:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller [11ab:4354]
	Subsystem: Samsung Electronics Co Ltd Device [144d:c072]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at f0200000 (64-bit, non-prefetchable) [size=16K]
	Region 2: I/O ports at 2000 [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sky2


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0ac8:c33f Z-Star Microelectronics Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98       tools for generating an initramfs
ii  linux-base                    2.6.32-20  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-20  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
ii  firmware-ipw2x00              0.26       Binary firmware for Intel Pro Wire
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
ii  firmware-linux                0.26       Binary firmware for various driver
ii  firmware-linux-nonfree        0.26       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
ii  firmware-ralink               0.26       Binary firmware for Ralink wireles
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-5-amd64/postinst/depmod-error-initrd-2.6.32-5-amd64: false
  linux-image-2.6.32-5-amd64/prerm/removing-running-kernel-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/missing-firmware-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-test-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/postinst/bootloader-error-2.6.32-5-amd64:
  linux-image-2.6.32-5-amd64/prerm/would-invalidate-boot-loader-2.6.32-5-amd64: true
  linux-image-2.6.32-5-amd64/postinst/ignoring-do-bootloader-2.6.32-5-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Wed, 25 Aug 2010 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 05:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 594149@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Doug Currie <deb.9.eeeeeee@xoxy.net>, 594149@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Wed, 25 Aug 2010 05:58:12 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-08-23 at 23:21 -0400, Doug Currie wrote:
> Package: linux-2.6
> Version: 2.6.32-20
> Severity: normal
> 
> 
> Samsung N150-11 netbook. Each lid close&open toggles the lid switch state 
> so when the lid is open, half the time it reports closed:
> 
> e@eSammy:~$ cat /proc/acpi/button/lid/LID0/state
> state:      open
> 
> # close & open lid
> 
> e@eSammy:~$ cat /proc/acpi/button/lid/LID0/state
> state:      closed
> 
> So, the netbook only suspends every other time the lid is closed.
> This could be dangerous with the netbook stowed in running mode
> getting hot.
[...]

The firmware should throttle the processor and eventually power-off the
system if it is too hot.  But still, this behaviour is unfortunate.

Did any earlier kernel version handle the lid switch correctly?
Can you test the package of Linux 2.6.35 in experimental?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 25 Aug 2010 05:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Wed, 25 Aug 2010 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Doug Currie <doug.currie@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 14:15:05 GMT) Full text and rfc822 format available.

Message #17 received at 594149@bugs.debian.org (full text, mbox):

From: Doug Currie <doug.currie@gmail.com>
To: 594149@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Wed, 25 Aug 2010 10:13:00 -0400
Hi Ben,

On Aug 25, 2010, at 12:58 AM, Ben Hutchings - ben@decadent.org.uk wrote:

> Did any earlier kernel version handle the lid switch correctly?
> Can you test the package of Linux 2.6.35 in experimental?

The first kernel I installed on this netbook was 2.6.32-18 and it had the same problem. I was looking forward to -20 since -19 has a "Add samsung-laptop driver" (x86) in the changelog. 

I will try the experimental kernel in the next day or so. Thanks.

e





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Wed, 25 Aug 2010 14:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 14:54:06 GMT) Full text and rfc822 format available.

Message #22 received at 594149@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: deb.9.eeeeeee@xoxy.net
Cc: 594149@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct
Date: Wed, 25 Aug 2010 15:51:43 +0100
On Wed, Aug 25, 2010 at 10:10:48AM -0400, deb.9.eeeeeee@xoxy.net wrote:
> Hi Ben,
> 
> On Aug 25, 2010, at 12:58 AM, Ben Hutchings - ben@decadent.org.uk wrote:
> 
> > Did any earlier kernel version handle the lid switch correctly?
> > Can you test the package of Linux 2.6.35 in experimental?
> 
> The first kernel I installed on this netbook was 2.6.32-18 and it had the
> same problem. I was looking forward to -20 since -19 has a "Add
> samsung-laptop driver" (x86) in the changelog. 
 
That driver currently only handles the wifi switch and backlight control.
I believe lid switches are handled by generic ACPI support code, but there
may be something strange about the way this laptop signals lid switch
events, which would require a 'quirk' there.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Wed, 25 Aug 2010 16:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Doug Currie <doug.currie@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 16:12:02 GMT) Full text and rfc822 format available.

Message #27 received at 594149@bugs.debian.org (full text, mbox):

From: Doug Currie <doug.currie@gmail.com>
To: 594149@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Wed, 25 Aug 2010 12:09:27 -0400
On Aug 25, 2010, at 12:58 AM, Ben Hutchings - ben@decadent.org.uk wrote:

> Did any earlier kernel version handle the lid switch correctly?
> Can you test the package of Linux 2.6.35 in experimental?

I just tried linux-image-2.6.35-trunk-amd64 (2.6.35-1~experimental.2) 
It does not fix the problem. 
It shows the same lid behavior reporting the lid state as closed every other time it is closed&opened.

e





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Wed, 25 Aug 2010 16:57:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 16:57:20 GMT) Full text and rfc822 format available.

Message #32 received at 594149@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Doug Currie <doug.currie@gmail.com>, 594149@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Wed, 25 Aug 2010 17:56:32 +0100
On Wed, Aug 25, 2010 at 12:09:27PM -0400, Doug Currie wrote:
> 
> On Aug 25, 2010, at 12:58 AM, Ben Hutchings - ben@decadent.org.uk wrote:
> 
> > Did any earlier kernel version handle the lid switch correctly?
> > Can you test the package of Linux 2.6.35 in experimental?
> 
> I just tried linux-image-2.6.35-trunk-amd64 (2.6.35-1~experimental.2) 
> It does not fix the problem. 
> It shows the same lid behavior reporting the lid state as closed every other time it is closed&opened.

OK.  Please report this upstream at <https://bugzilla.kernel.org>, under
product 'ACPI', component 'EC'.  Let us know the bug number or URL so that
we can track it.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Wed, 25 Aug 2010 21:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Doug Currie <doug.currie@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 Aug 2010 21:30:08 GMT) Full text and rfc822 format available.

Message #37 received at 594149@bugs.debian.org (full text, mbox):

From: Doug Currie <doug.currie@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 594149@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Wed, 25 Aug 2010 17:26:46 -0400
On Aug 25, 2010, at 12:56 PM, Ben Hutchings wrote:

> OK.  Please report this upstream at <https://bugzilla.kernel.org>, under
> product 'ACPI', component 'EC'.  Let us know the bug number or URL so that
> we can track it.

https://bugzilla.kernel.org/show_bug.cgi?id=17081

Thanks.

e





Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=17081'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 25 Aug 2010 23:03:04 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 25 Aug 2010 23:03:06 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 11 Apr 2011 17:07:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Mon, 13 Jun 2011 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 02:27:03 GMT) Full text and rfc822 format available.

Message #48 received at 594149@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Doug Currie <doug.currie@gmail.com>
Cc: 594149@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Sun, 12 Jun 2011 21:25:34 -0500
tags 594149 = upstream moreinfo
quit

Hi Doug,

Doug Currie wrote:

> Samsung N150-11 netbook. Each lid close&open toggles the lid switch state 
> so when the lid is open, half the time it reports closed:

Yikes, that's awesome.  Thanks for finding it.

Zhang Rui wrote:

> really nice bug report! :)
>
> please try the _LID.aml attached and see if the the lid state is always
> reported correctly.
>
> IMO, the binary file attached should workaround the problem for you, but indeed
> this should be an EC driver problem.
> So it would be great if you can try to build a 2.6.38 kernel, uncomment line30
> "/* #define DEBUG */" in drivers/acpi/ec.c, and redo the test.

There are instructions for building a custom kernel at [1].

Would you be able to perform this test, or do you know anyone with
similar hardware who could?

Regards,
Jonathan

[1] http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-kernel-org-package




Added tag(s) upstream and moreinfo; removed tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 02:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#594149; Package linux-2.6. (Sat, 09 Jun 2012 16:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrzej P <andrzej@morgangilbert.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 09 Jun 2012 16:54:07 GMT) Full text and rfc822 format available.

Message #55 received at 594149@bugs.debian.org (full text, mbox):

From: Andrzej P <andrzej@morgangilbert.co.uk>
To: 594149@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Sat, 09 Jun 2012 17:49:58 +0100
Hi

I have a Samsung N150 Plus that exhibits this bug.  I have done the test
requested upstream but the bug's status is REJECTED INSUFFICIENT_DATA.
I don't have the privileges to reopen the bug.

-- 
Andrzej P




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 10 Jun 2012 10:18:39 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 18 Apr 2013 19:49:01 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 08 Jun 2013 16:09:08 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 08 Jun 2013 16:12:09 GMT) Full text and rfc822 format available.

Notification sent to Doug Currie <deb.9.eeeeeee@xoxy.net>:
Bug acknowledged by developer. (Sat, 08 Jun 2013 16:12:09 GMT) Full text and rfc822 format available.

Message #66 received at 594149-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 594149-done@bugs.debian.org
Subject: Re: Bug#594149: linux-image-2.6.32-5-amd64: Lid switch correct every other time; suspend every other lid close; Samsung N150-11 netbook
Date: Sat, 08 Jun 2013 17:09:04 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-08-25 at 17:26 -0400, Doug Currie wrote:
> On Aug 25, 2010, at 12:56 PM, Ben Hutchings wrote:
> 
> > OK.  Please report this upstream at <https://bugzilla.kernel.org>, under
> > product 'ACPI', component 'EC'.  Let us know the bug number or URL so that
> > we can track it.
> 
> https://bugzilla.kernel.org/show_bug.cgi?id=17081

The result of that was that this is a BIOS bug and there's no good way
for the kernel to work around.  So I'm sorry but this won't be fixed.

Ben.

-- 
Ben Hutchings
friends: People who know you well, but like you anyway.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Jul 2013 07:33:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:46:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.